Bug 27731 - Place hold link for individual OPAC search result broken
Summary: Place hold link for individual OPAC search result broken
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 27440
Blocks:
  Show dependency treegraph
 
Reported: 2021-02-19 11:41 UTC by Owen Leonard
Modified: 2021-02-25 09:33 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27731: Remove hold class from individual OPAC search result hold link (3.29 KB, patch)
2021-02-19 11:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27731: Remove hold class from individual OPAC search result hold link (3.34 KB, patch)
2021-02-19 18:24 UTC, Phil Ringnalda
Details | Diff | Splinter Review
Bug 27731: Remove hold class from individual OPAC search result hold link (3.41 KB, patch)
2021-02-22 16:04 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-02-19 11:41:35 UTC
Bug 27440 had the unintended consequence of breaking the "Place hold" link which appears under every search result in the OPAC. The links have a class which triggers the "hold multiple" JS function. The class should be removed.
Comment 1 Owen Leonard 2021-02-19 11:50:44 UTC
Created attachment 117061 [details] [review]
Bug 27731: Remove hold class from individual OPAC search result hold link

This patch removes the "hold" class from the "Place hold" link
associated with each search result in the OPAC. The class isn't required
for any functionality or style and it unintentionally triggers the "hold
multiple" JS function which requires that a checkbox be checked.

To test, apply the patch and log into the OPAC as a user who can place
holds.

- Perform a catalog search which will return multiple results.
- Click the "Place hold" link under any search result.
- You should be taken to the hold confirmation page.
- On the search results page, confirm that the "Place hold" link at the
  top of the search results still works to place multiple holds at once.
Comment 2 Phil Ringnalda 2021-02-19 18:24:41 UTC
Created attachment 117092 [details] [review]
Bug 27731: Remove hold class from individual OPAC search result hold link

This patch removes the "hold" class from the "Place hold" link
associated with each search result in the OPAC. The class isn't required
for any functionality or style and it unintentionally triggers the "hold
multiple" JS function which requires that a checkbox be checked.

To test, apply the patch and log into the OPAC as a user who can place
holds.

- Perform a catalog search which will return multiple results.
- Click the "Place hold" link under any search result.
- You should be taken to the hold confirmation page.
- On the search results page, confirm that the "Place hold" link at the
  top of the search results still works to place multiple holds at once.

Signed-off-by: Phil Ringnalda <phil@chetcolibrary.org>
Comment 3 Martin Renvoize 2021-02-22 16:04:13 UTC
Created attachment 117160 [details] [review]
Bug 27731: Remove hold class from individual OPAC search result hold link

This patch removes the "hold" class from the "Place hold" link
associated with each search result in the OPAC. The class isn't required
for any functionality or style and it unintentionally triggers the "hold
multiple" JS function which requires that a checkbox be checked.

To test, apply the patch and log into the OPAC as a user who can place
holds.

- Perform a catalog search which will return multiple results.
- Click the "Place hold" link under any search result.
- You should be taken to the hold confirmation page.
- On the search results page, confirm that the "Place hold" link at the
  top of the search results still works to place multiple holds at once.

Signed-off-by: Phil Ringnalda <phil@chetcolibrary.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2021-02-22 16:04:38 UTC
Works as expected, trivial fix.  Passing QA
Comment 5 Jonathan Druart 2021-02-23 12:22:38 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-02-25 09:33:06 UTC
Depends on Bug 27440 not in 20.11.x